## cc-node-f991cee59352b042ac78fd474097dd8a66ce4e93.zip

=== docs/dev/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CloudControlnode.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CloudControlnode.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CloudControlnode"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CloudControlnode"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
cc-node (17) unstable; urgency=low

  * Fix running in host mode without python-libvirt

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Fri, 24 Jun 2011 11:51:33 +0200

cc-node (16) unstable; urgency=low

  * Xen fix

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Mon, 06 Jun 2011 11:03:38 +0200

cc-node (15) unstable; urgency=low

  * Use Unix socket to bind tunnels to libvirt (default config compliance)

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Wed, 01 Jun 2011 16:41:30 +0200

cc-node (14) unstable; urgency=low

  * New: live DRBD migration for Xen/KVM
  * Fix: various as usual ...

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Wed, 01 Jun 2011 11:36:31 +0200

cc-node (11) unstable; urgency=low

  * New: cold migration
  * New: chassis tag
  * New: VNC tag
  * Fix: spurious VM unregistration
  * Fix: wrong memory reported fow Xen host and Dom0
  * Fix: missing storage pool/volume data when value is zero
  * Fix: missing Xen VM arch tag
  * And other code enhancement

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Tue, 08 Mar 2011 17:21:21 +0100

cc-node (10-1) unstable; urgency=low

  * Just a new version

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Thu, 10 Feb 2011 18:14:22 +0100

cc-node (9) unstable; urgency=low

  * Lots of fixes and improvements
  * Faster with less contention
  * Now returns real TTL, etc...

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Thu, 03 Feb 2011 15:11:37 +0100

cc-node (8) unstable; urgency=low

  * Huge rewrite of libvirt wrapper and server handler
  * Add new hardware-related tags
  * Basecode ready for Xen integration

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Mon, 10 Jan 2011 18:49:28 +0100

cc-node (7) unstable; urgency=low

  * New tags implemented for HV and VM

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Thu, 30 Dec 2010 13:28:19 +0100

cc-node (6) unstable; urgency=low

  * Bug fix
  * Proper release with newer init scripts

 -- Thibault VINCENT <tibal@reloaded.fr>  Mon, 27 Dec 2010 17:12:40 +0100

cc-node (5-2) unstable; urgency=low

  * Fix configuration option for HV detection

 -- Thibault VINCENT <tibal@reloaded.fr>  Mon, 27 Dec 2010 14:10:52 +0100

cc-node (5-1) unstable; urgency=low

  * Support for non-hypervisor nodes
  * New tags implemented
  * First migration features

 -- Thibault VINCENT <tibal@reloaded.fr>  Mon, 27 Dec 2010 12:18:42 +0100

cc-node (4-1) unstable; urgency=low

  * Fixed bugs

 -- Antoine Millet <antoine.millet@smartjog.com>  Wed, 22 Dec 2010 17:50:48 +0100

cc-node (3-1) unstable; urgency=low

  * Added $HOSTNAME variable on login field of config file.
  * Fixed bugs

 -- Antoine Millet <antoine.millet@smartjog.com>  Wed, 22 Dec 2010 16:47:14 +0100
 

cc-node (2-1) unstable; urgency=low

  * New configuration in configuration file
  * Changed name cc-hypervisor to cc-node
  * Tags handled in list_vm

 -- Antoine Millet <antoine.millet@smartjog.com>  Fri, 17 Dec 2010 11:43:42 +0100

cc-node (1-1) unstable; urgency=low

  * Initial release.

 -- Antoine Millet <antoine.millet@smartjog.com>  Mon, 06 Dec 2010 16:42:27 +0100

=== debian/control ===
Source: cc-node
Section: python
Priority: optional
Maintainer: Thibault VINCENT <thibault.vincent@smartjog.com>
Build-Depends: debhelper (>= 7), python-central (>= 0.6), cdbs (>= 0.4.50), python-setuptools, python
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1

Package: cc-node
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-sjrpc ( >= 13 ), python-psutil, python-daemon
Recommends: python-libvirt ( >= 0.8.7-1+sj1 )
XB-Python-Version: ${python:Versions}
Description: CloudControl node
 This package provides node of CloudControl.

Package: cc-node-hypervisor
Architecture: all
Depends: cc-node (= ${binary:Version}), python-libvirt ( >= 0.8.7-1+sj1 )
Description: CC-node meta package for use with hypervisor.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_PYTHON_SYSTEM=pycentral

# Debhelper must be included before python-distutils to use
# dh_python / dh_pycentral / dh_pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

PYTHON_PACKAGES := cc-node

$(patsubst %,binary-install/%,$(PYTHON_PACKAGES))::
	dh_pycentral -p$(cdbs_curpkg)
